# pandas.DatetimeIndex.duplicated

`DatetimeIndex.``duplicated`(*args, **kwargs)

  Return boolean np.array denoting duplicate values

  Parameters:

  keep : {‘first’, ‘last’, False}, default ‘first’

  > - `first` : Mark duplicates as `True` except for the first occurrence.
  > - `last` : Mark duplicates as `True` except for the last occurrence.
  > - False : Mark all duplicates as `True`.

  take_last : deprecated

  Returns: | duplicated : np.array